"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.describe = exports.command = exports.builder = void 0;
var _ = _interopRequireDefault(require("./.."));
var _constants = require("../constants");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const command = exports.command = 'sc [flags]';
const describe = exports.describe = `Sauce Connect Proxy interface.
 - Only the 'sc run' command is currently supported
 - See https://docs.saucelabs.com/dev/cli/sauce-connect-5/run/ for detailed CLI documentation.
 - Sauce Connect Proxy 4.x.x cannot be used with the library version 9.0.0 and newer
 - Some Sauce Connect CLI option aliases differ from the 'sc' binary
 - Some CLI options differ from the 'sc' binary:
   - '--proxy' corresponds to https://docs.saucelabs.com/dev/cli/sauce-connect-5/run/#proxy-sauce
   - '--sc-upstream-proxy' corresponds to https://docs.saucelabs.com/dev/cli/sauce-connect-5/run/#proxy
`;
const builder = yargs => {
  for (const option of _constants.SAUCE_CONNECT_CLI_PARAMS) {
    yargs.option(option.name, option);
  }
};
exports.builder = builder;
const handler = async argv => {
  const {
    user,
    key,
    region,
    proxy
  } = Object.assign({}, _constants.DEFAULT_OPTIONS, argv);
  const api = new _.default({
    user,
    key,
    region,
    proxy
  });
  return api.startSauceConnect(argv, true);
};
exports.handler = handler;