"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _http = _interopRequireDefault(require("http"));
var _constants = require("./constants");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class SauceConnectHealthCheck {
  async perform(apiAddress) {
    return new Promise((resolve, reject) => {
      const request = _http.default.get(`${apiAddress}/readyz`, {
        timeout: _constants.SC_HEALTHCHECK_TIMEOUT
      }, response => {
        if (response.statusCode !== 200) {
          reject(new Error(`response status code ${response.statusCode} != 200`));
        } else {
          resolve();
        }
      });
      request.on('error', reject);
      request.on('timeout', () => {
        request.destroy();
        reject(new Error('Request timed out'));
      });
    });
  }
}
exports.default = SauceConnectHealthCheck;